package com.ruoyi.predict.domain;

import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * LpProjectMonthData对象 lp_project_month_data
 *
 * @author hlf
 * @date 2022-03-16
 */
public class LpProjectMonthData extends BaseEntity {
    private static final long serialVersionUID = 1L;

    private Long wfPrNo;

    private Long modelNo;

    private Date dataTime;

    private Double k;

    private Double c;

    private Double pfK;

    private Double kRelativeerror;

    private Double pfC;

    private Double cRelativeerror;

    private Double speed;

    private Double hourCount;

    private Double factors;

    private Double windEnergy;

    private Double generatingCapacity;

    private Double pfGeneratingCapacity;

    private Double pfHourCount;

    private Double maxProbabilityDensity;

    private Double energyRelativeerror;

    private Long dataFlag;

    private int statisticType;

    public void setWfPrNo(Long wfPrNo) {
        this.wfPrNo = wfPrNo;
    }

    public Long getWfPrNo() {
        return wfPrNo;
    }

    public void setModelNo(Long modelNo) {
        this.modelNo = modelNo;
    }

    public Long getModelNo() {
        return modelNo;
    }

    public void setDataTime(Date dataTime) {
        this.dataTime = dataTime;
    }

    public Date getDataTime() {
        return dataTime;
    }

    public void setK(Double k) {
        this.k = k;
    }

    public Double getK() {
        return k;
    }

    public void setC(Double c) {
        this.c = c;
    }

    public Double getC() {
        return c;
    }

    public void setPfK(Double pfK) {
        this.pfK = pfK;
    }

    public Double getPfK() {
        return pfK;
    }

    public void setkRelativeerror(Double kRelativeerror) {
        this.kRelativeerror = kRelativeerror;
    }

    public Double getkRelativeerror() {
        return kRelativeerror;
    }

    public void setPfC(Double pfC) {
        this.pfC = pfC;
    }

    public Double getPfC() {
        return pfC;
    }

    public void setcRelativeerror(Double cRelativeerror) {
        this.cRelativeerror = cRelativeerror;
    }

    public Double getcRelativeerror() {
        return cRelativeerror;
    }

    public void setSpeed(Double speed) {
        this.speed = speed;
    }

    public Double getSpeed() {
        return speed;
    }

    public void setHourCount(Double hourCount) {
        this.hourCount = hourCount;
    }

    public Double getHourCount() {
        return hourCount;
    }

    public void setFactors(Double factors) {
        this.factors = factors;
    }

    public Double getFactors() {
        return factors;
    }

    public void setWindEnergy(Double windEnergy) {
        this.windEnergy = windEnergy;
    }

    public Double getWindEnergy() {
        return windEnergy;
    }

    public void setGeneratingCapacity(Double generatingCapacity) {
        this.generatingCapacity = generatingCapacity;
    }

    public Double getGeneratingCapacity() {
        return generatingCapacity;
    }

    public void setPfGeneratingCapacity(Double pfGeneratingCapacity) {
        this.pfGeneratingCapacity = pfGeneratingCapacity;
    }

    public Double getPfGeneratingCapacity() {
        return pfGeneratingCapacity;
    }

    public void setPfHourCount(Double pfHourCount) {
        this.pfHourCount = pfHourCount;
    }

    public Double getPfHourCount() {
        return pfHourCount;
    }

    public void setMaxProbabilityDensity(Double maxProbabilityDensity) {
        this.maxProbabilityDensity = maxProbabilityDensity;
    }

    public Double getMaxProbabilityDensity() {
        return maxProbabilityDensity;
    }

    public void setEnergyRelativeerror(Double energyRelativeerror) {
        this.energyRelativeerror = energyRelativeerror;
    }

    public Double getEnergyRelativeerror() {
        return energyRelativeerror;
    }

    public void setDataFlag(Long dataFlag) {
        this.dataFlag = dataFlag;
    }

    public Long getDataFlag() {
        return dataFlag;
    }

    public int getStatisticType() {
        return statisticType;
    }

    public void setStatisticType(int statisticType) {
        this.statisticType = statisticType;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("wfPrNo", getWfPrNo())
                .append("modelNo", getModelNo())
                .append("dataTime", getDataTime())
                .append("k", getK())
                .append("c", getC())
                .append("pfK", getPfK())
                .append("kRelativeerror", getkRelativeerror())
                .append("pfC", getPfC())
                .append("cRelativeerror", getcRelativeerror())
                .append("speed", getSpeed())
                .append("hourCount", getHourCount())
                .append("factors", getFactors())
                .append("windEnergy", getWindEnergy())
                .append("generatingCapacity", getGeneratingCapacity())
                .append("pfGeneratingCapacity", getPfGeneratingCapacity())
                .append("pfHourCount", getPfHourCount())
                .append("maxProbabilityDensity", getMaxProbabilityDensity())
                .append("energyRelativeerror", getEnergyRelativeerror())
                .append("dataFlag", getDataFlag())
                .toString();
    }
}
